<?php

/**
 * Gestpay for WooCommerce
 *
 * Copyright: © 2013-2016 Mauro Mascia (info@mauromascia.com)
 * Copyright: © 2017-2021 Axerve S.p.A. - Gruppo Banca Sella (https://www.axerve.com - ecommerce@sella.it)
 *
 * License: GNU General Public License v3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

return array(
    'AED' => array(
        'iso' => '187',
        'desc' => 'United Arab Emirates dirham',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'AUD' => array(
        'iso' => '109',
        'desc' => 'Australian dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'BGN' => array(
        'iso' => '262',
        'desc' => 'Bulgarian lev',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'BRL' => array(
        'iso' => '234',
        'desc' => ' Brazilian real',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'CAD' => array(
        'iso' => '12',
        'desc' => 'Canadian dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'CHF' => array(
        'iso' => '3',
        'desc' => 'Swiss franc',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'CNY' => array(
        'iso' => '144',
        'desc' => 'Chinese yuan',
        'min' => 0.01,
        'max' => 400000,
        'decimal' => 2
    ),
    'CZK' => array(
        'iso' => '223',
        'desc' => 'Czech koruna',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'DKK' => array(
        'iso' => '7',
        'desc' => 'Danish krone',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'EUR' => array(
        'iso' => '242',
        'desc' => 'Euro',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'GBP' => array(
        'iso' => '2',
        'desc' => 'Pound sterling',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'HKD' => array(
        'iso' => '103',
        'desc' => 'Hong Kong dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'HRK' => array(
        'iso' => '229',
        'desc' => 'Croatian kuna',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'HUF' => array(
        'iso' => '153',
        'desc' => 'Hungarian forint',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'IDR' => array(
        'iso' => '123',
        'desc' => 'Indonesian rupiah',
        'min' => 100,
        'max' => 200000000,
        'decimal' => 0
    ),
    'ILS' => array(
        'iso' => '203',
        'desc' => 'Israeli new shekel',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'INR' => array(
        'iso' => '31',
        'desc' => 'Indian rupee',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'ISK' => array(
        'iso' => '62',
        'desc' => 'Icelandic krona',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'JPY' => array(
        'iso' => '71',
        'desc' => 'Japanese yen',
        'min' => 1,
        'max' => 7000000,
        'decimal' => 0
    ),
    'KRW' => array(
        'iso' => '119',
        'desc' => 'South Korean won',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'MYR' => array(
        'iso' => '55',
        'desc' => 'Malaysian ringgit',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'NGN' => array(
        'iso' => '81',
        'desc' => 'Nigerian naira',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'NOK' => array(
        'iso' => '8',
        'desc' => 'Norwegian krone',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'NZD' => array(
        'iso' => '113',
        'desc' => 'New Zealand dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'PHP' => array(
        'iso' => '66',
        'desc' => 'Philippine peso',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'PKR' => array(
        'iso' => '26',
        'desc' => 'Pakistani rupee',
        'min' => 1,
        'max' => 10000000,
        'decimal' => 0
    ),
    'PLN' => array(
        'iso' => '237',
        'desc' => 'Polish zloty',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'RON' => array(
        'iso' => '270',
        'desc' => 'Romanian leu',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'RUB' => array(
        'iso' => '244',
        'desc' => 'Russian ruble',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'SAR' => array(
        'iso' => '75',
        'desc' => 'Saudi riyal',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'SEK' => array(
        'iso' => '9',
        'desc' => 'Swedish krona',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'SGD' => array(
        'iso' => '124',
        'desc' => 'Singapore dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'THB' => array(
        'iso' => '73',
        'desc' => 'Thai baht',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'TRY' => array(
        'iso' => '267',
        'desc' => 'Turkish lira',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'TWD' => array(
        'iso' => '143',
        'desc' => 'New Taiwan dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'UAH' => array(
        'iso' => '241',
        'desc' => 'Ukrainian hryvnia',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'USD' => array(
        'iso' => '1',
        'desc' => 'United States dollar',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
    'VND' => array(
        'iso' => '145',
        'desc' => 'Vietnamese dong',
        'min' => 100,
        'max' => 200000000,
        'decimal' => 1
    ),
    'ZAR' => array(
        'iso' => '82',
        'desc' => 'South African rand',
        'min' => 0.01,
        'max' => 7000000,
        'decimal' => 2
    ),
);
